質問編集履歴

3 追記

rein_deer

rein_deer score 6

2019/10/15 13:00  投稿

PythonでFlaskが使えません。
こんにちは。
python、パッケージ管理共に初心者のものです。
### 前提・実現したいこと
自分の開発環境?は、macOS Catalina, python3.7.4です。
python3(idle)でFlaskをインポートして使えるように、以下のコードが動くようにしたいです。
### 発生したエラー・できないこと
idleで以下のコードを実行すると
```
from flask import Flask
app = Flask(__name__)
@app.route('/')
def index():
   return "Hello, World!"
app.run(port=8000)
```
次のようなエラーが出て結果が表示されませんでした
```
Traceback (most recent call last):
 File "/Users/名前/Documents/flask.py", line 1, in <module>
   from flask import Flask
 File "/Users/名前/Documents/flask.py", line 1, in <module>
   from flask import Flask
ImportError: cannot import name 'Flask' from 'flask' (/Users/gaoyuanxiangxi/Documents/flask.py)
```
### 試してみたこと
ちゃんとFlaskをインストールできてないのではと思い、一度アンインストールしてみました。
```
sudo pip uninstall Flask
WARNING: The directory '/Users/名前/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
```
上のようなwarningが出たのですが、アンインストールは成功したので、とりあえずもう一度インストールしてみようと思い最初インストールしたコードと同じコードで再インストールしました。
```
sudo pip install Flask
WARNING: The directory '/Users/名前/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
WARNING: The directory '/Users/名前/Library/Caches/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
```
この後もう一度idleで一番上のコードを実行しましたが、また、同じエラーが出てしまいました。
その後も、sudo -H pip install Flask で再インストールしたり、自分で調べてみたのですが結果は変わりませんでした。
どうすればFlaskを使えるようになるでしょうか?また、ターミナルで出てくるWarningは何なのでしょうか。
回答よろしくお願いいたします。
### 補足
次のような手順でFlaskをインストールしたり、アンインストールして再インストールしてみたりしました。
```
sudo pip install Flask
```
次に一度アンインストールしようと思い、
```
pip uninstall Flask
```
しかし
```
ERROR: Exception:
Traceback (most recent call last):
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/shutil.py", line 566, in move
   os.rename(src, real_dst)
PermissionError: [Errno 13] Permission denied: '/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/site-packages/Flask-1.1.1.dist-info/' -> '/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/site-packages/~%ask-1.1.1.dist-info'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/site-packages/pip/_internal/cli/base_command.py", line 188, in main
   status = self.run(options, args)
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/site-packages/pip/_internal/commands/uninstall.py", line 75, in run
   auto_confirm=options.yes, verbose=self.verbosity > 0,
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/site-packages/pip/_internal/req/req_install.py", line 831, in uninstall
   uninstalled_pathset.remove(auto_confirm, verbose)
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/site-packages/pip/_internal/req/req_uninstall.py", line 388, in remove
   moved.stash(path)
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/site-packages/pip/_internal/req/req_uninstall.py", line 277, in stash
   renames(path, new_path)
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/site-packages/pip/_internal/utils/misc.py", line 402, in renames
   shutil.move(old, new)
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/shutil.py", line 578, in move
   rmtree(src)
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/shutil.py", line 494, in rmtree
   _rmtree_safe_fd(fd, path, onerror)
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/shutil.py", line 452, in _rmtree_safe_fd
   onerror(os.unlink, fullname, sys.exc_info())
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/shutil.py", line 450, in _rmtree_safe_fd
   os.unlink(entry.name, dir_fd=topfd)
PermissionError: [Errno 13] Permission denied: 'RECORD'
```
このようなエラーが出てしまい、sudo pip uninstall Flask ならどうだろうと試したら、一応アンインストールできました。
その後、```
sudo -H pip install Flask
```
```
pip install Flask
```
などで入れ直したりしてみましたが、うまくいかず結局もう一度 sudo でアンインストールして、
```
sudo pip install Flask
```
で入れているということになっています。
で入れているということになっています。
### 追記
python3は、pyenvで入れました。
pyenvはこのサイト https://qiita.com/crankcube@github/items/15f06b32ec56736fc43a
に従い、homebrewで入れました。
pyenvは、サイトに従い .bash_profileに
```
cat << 'EOS' >> ~/.bash_profile
# pyenvさんに~/.pyenvではなく、/usr/loca/var/pyenvを使うようにお願いする
export PYENV_ROOT=/usr/local/var/pyenv
# pyenvさんに自動補完機能を提供してもらう
if which pyenv > /dev/null; then eval "$(pyenv init -)"; fi
EOS
```
このように書き込みました。
  • Python

    36907 questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • MacOS(OSX)

    4423 questions

    MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

  • Flask

    968 questions

    FlaskはPython用のマイクロフレームワークであり、Werkzeug・Jinja 2・good intentionsをベースにしています。

  • バージョン管理

    325 questions

    バージョン管理はコンピューター上にファイルとして格納されているドキュメント・プログラム・その他の情報の変更履歴等を管理するものです

  • pip

    839 questions

    pipとは、Pythonを用いて書かれているパッケージソフトのインストールや管理を行うためのパッケージマネジメントシステムです。pipを使う主なメリットは、コマンドラインインターフェースにて容易にPythonパッケージソフトをインストール可能だという点です。

2 補足の追加

rein_deer

rein_deer score 6

2019/10/15 00:05  投稿

PythonでFlaskが使えません。
こんにちは。
python、パッケージ管理共に初心者のものです。
### 前提・実現したいこと
自分の開発環境?は、macOS Catalina, python3.7.4です。
python3(idle)でFlaskをインポートして使えるように、以下のコードが動くようにしたいです。
### 発生したエラー・できないこと
idleで以下のコードを実行すると
```
from flask import Flask
app = Flask(__name__)
@app.route('/')
def index():
   return "Hello, World!"
app.run(port=8000)
```
次のようなエラーが出て結果が表示されませんでした
```
Traceback (most recent call last):
 File "/Users/名前/Documents/flask.py", line 1, in <module>
   from flask import Flask
 File "/Users/名前/Documents/flask.py", line 1, in <module>
   from flask import Flask
ImportError: cannot import name 'Flask' from 'flask' (/Users/gaoyuanxiangxi/Documents/flask.py)
```
### 試してみたこと
ちゃんとFlaskをインストールできてないのではと思い、一度アンインストールしてみました。
```
sudo pip uninstall Flask
WARNING: The directory '/Users/名前/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
```
上のようなwarningが出たのですが、アンインストールは成功したので、とりあえずもう一度インストールしてみようと思い最初インストールしたコードと同じコードで再インストールしました。
```
sudo pip install Flask
WARNING: The directory '/Users/名前/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
WARNING: The directory '/Users/名前/Library/Caches/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
```
この後もう一度idleで一番上のコードを実行しましたが、また、同じエラーが出てしまいました。
その後も、sudo -H pip install Flask で再インストールしたり、自分で調べてみたのですが結果は変わりませんでした。
どうすればFlaskを使えるようになるでしょうか?また、ターミナルで出てくるWarningは何なのでしょうか。
回答よろしくお願いいたします。
回答よろしくお願いいたします。
### 補足
次のような手順でFlaskをインストールしたり、アンインストールして再インストールしてみたりしました。
```
sudo pip install Flask
```
次に一度アンインストールしようと思い、
```
pip uninstall Flask
```
しかし
```
ERROR: Exception:
Traceback (most recent call last):
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/shutil.py", line 566, in move
   os.rename(src, real_dst)
PermissionError: [Errno 13] Permission denied: '/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/site-packages/Flask-1.1.1.dist-info/' -> '/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/site-packages/~%ask-1.1.1.dist-info'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/site-packages/pip/_internal/cli/base_command.py", line 188, in main
   status = self.run(options, args)
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/site-packages/pip/_internal/commands/uninstall.py", line 75, in run
   auto_confirm=options.yes, verbose=self.verbosity > 0,
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/site-packages/pip/_internal/req/req_install.py", line 831, in uninstall
   uninstalled_pathset.remove(auto_confirm, verbose)
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/site-packages/pip/_internal/req/req_uninstall.py", line 388, in remove
   moved.stash(path)
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/site-packages/pip/_internal/req/req_uninstall.py", line 277, in stash
   renames(path, new_path)
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/site-packages/pip/_internal/utils/misc.py", line 402, in renames
   shutil.move(old, new)
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/shutil.py", line 578, in move
   rmtree(src)
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/shutil.py", line 494, in rmtree
   _rmtree_safe_fd(fd, path, onerror)
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/shutil.py", line 452, in _rmtree_safe_fd
   onerror(os.unlink, fullname, sys.exc_info())
 File "/usr/local/var/pyenv/versions/3.7.4/lib/python3.7/shutil.py", line 450, in _rmtree_safe_fd
   os.unlink(entry.name, dir_fd=topfd)
PermissionError: [Errno 13] Permission denied: 'RECORD'
```
このようなエラーが出てしまい、sudo pip uninstall Flask ならどうだろうと試したら、一応アンインストールできました。
その後、```
sudo -H pip install Flask
```
```
pip install Flask
```
などで入れ直したりしてみましたが、うまくいかず結局もう一度 sudo でアンインストールして、
```
sudo pip install Flask
```
で入れているということになっています。
  • Python

    36907 questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • MacOS(OSX)

    4423 questions

    MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

  • Flask

    968 questions

    FlaskはPython用のマイクロフレームワークであり、Werkzeug・Jinja 2・good intentionsをベースにしています。

  • バージョン管理

    325 questions

    バージョン管理はコンピューター上にファイルとして格納されているドキュメント・プログラム・その他の情報の変更履歴等を管理するものです

  • pip

    839 questions

    pipとは、Pythonを用いて書かれているパッケージソフトのインストールや管理を行うためのパッケージマネジメントシステムです。pipを使う主なメリットは、コマンドラインインターフェースにて容易にPythonパッケージソフトをインストール可能だという点です。

1 タイトルの修正

rein_deer

rein_deer score 6

2019/10/14 17:33  投稿

IDLEでFlaskが使えません。
PythonでFlaskが使えません。
こんにちは。
python、パッケージ管理共に初心者のものです。
### 前提・実現したいこと
自分の開発環境?は、macOS Catalina, python3.7.4です。
python3(idle)でFlaskをインポートして使えるように、以下のコードが動くようにしたいです。
### 発生したエラー・できないこと
idleで以下のコードを実行すると
```
from flask import Flask
app = Flask(__name__)
@app.route('/')
def index():
return "Hello, World!"
app.run(port=8000)
```
次のようなエラーが出て結果が表示されませんでした
```
Traceback (most recent call last):
File "/Users/名前/Documents/flask.py", line 1, in <module>
from flask import Flask
File "/Users/名前/Documents/flask.py", line 1, in <module>
from flask import Flask
ImportError: cannot import name 'Flask' from 'flask' (/Users/gaoyuanxiangxi/Documents/flask.py)
```
### 試してみたこと
ちゃんとFlaskをインストールできてないのではと思い、一度アンインストールしてみました。
```
sudo pip uninstall Flask
WARNING: The directory '/Users/名前/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
```
上のようなwarningが出たのですが、アンインストールは成功したので、とりあえずもう一度インストールしてみようと思い最初インストールしたコードと同じコードで再インストールしました。
```
sudo pip install Flask
WARNING: The directory '/Users/名前/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
WARNING: The directory '/Users/名前/Library/Caches/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
```
この後もう一度idleで一番上のコードを実行しましたが、また、同じエラーが出てしまいました。
その後も、sudo -H pip install Flask で再インストールしたり、自分で調べてみたのですが結果は変わりませんでした。
どうすればFlaskを使えるようになるでしょうか?また、ターミナルで出てくるWarningは何なのでしょうか。
回答よろしくお願いいたします。
  • Python

    36907 questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • MacOS(OSX)

    4423 questions

    MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

  • Flask

    968 questions

    FlaskはPython用のマイクロフレームワークであり、Werkzeug・Jinja 2・good intentionsをベースにしています。

  • バージョン管理

    325 questions

    バージョン管理はコンピューター上にファイルとして格納されているドキュメント・プログラム・その他の情報の変更履歴等を管理するものです

  • pip

    839 questions

    pipとは、Pythonを用いて書かれているパッケージソフトのインストールや管理を行うためのパッケージマネジメントシステムです。pipを使う主なメリットは、コマンドラインインターフェースにて容易にPythonパッケージソフトをインストール可能だという点です。

思考するエンジニアのためのQ&Aサイト「teratail」について詳しく知る